v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/reports/minimization
Retrieves the minimization list report.
Rights: SupplySettingRightsGet.
Rights: SupplySettingRightsGet.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- */*
Root Schema : SearchSpecs
Type:
objectTitle:
SearchSpecsRequest body passing search specs like limit, offset and list of fields
Show Source
-
fieldSpecsList: array
fieldSpecsList
Field Specification List. Each element describes a single filter applied to the report.
-
limit: integer
(int32)
Minimum Value:
1Maximum Value:5000Maximum number of records to display per page. Provide a value between 1 and 5000 inclusive. Negative numbers are not accepted.Example:50 -
offset: integer
(int32)
Minimum Value:
0Maximum Value:2147483647An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter. Provide a zero or positive value.Example:5
Nested Schema : fieldSpecsList
Type:
arrayField Specification List. Each element describes a single filter applied to the report.
Show Source
-
Array of:
object Field
Generic representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Example:
[
{
"fieldName":"ruleState",
"fieldType":"list",
"fieldSequence":1,
"fieldValueList":[
"approved"
]
}
]Nested Schema : Field
Type:
objectGeneric representation of a report filter. Each entry specifies the field to evaluate, its data type, and the values to use when filtering.
Show Source
-
fieldName(required): string
Minimum Length:
1Maximum Length:255Field name to evaluate. Examples include STUDYID, SITEID, ruleState, and dateRange.Example:ruleState -
fieldSequence: integer
(int32)
Minimum Value:
0Maximum Value:2147483647Sequence/order of the field. Provide a non-negative integer.Example:1 -
fieldType(required): string
Minimum Length:
4Maximum Length:16Allowed Values:[ "list", "date", "date-time", "number", "string", "boolean" ]Field value classification. Use list for enumerations, date for calendar values, date-time for timestamps, number for numeric filters, string for textual filters, or boolean for true/false.Example:list -
fieldValueList(required): array
fieldValueList
List of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Example:
{
"fieldName":"ruleState",
"fieldType":"list",
"fieldSequence":1,
"fieldValueList":[
"approved"
]
}Nested Schema : fieldValueList
Type:
arrayList of values for the Field. Provide GUIDs for identifier filters or literal values for textual filters.
Show Source
-
Array of:
string
Minimum Length:
1Maximum Length:256Example:publish
Example:
[
{
"id":"C36A3197FDEE433FB5547EE83DE99E4B"
}
]Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ReportBaseResponse
Type:
objectTitle:
ReportBaseResponseResponse object for report APIs.
Show Source
-
errorData: string
Title:
Error DataDetail of error.Example:Validation error -
result: object
PaginatedResponseDto
Title:
PaginatedResponseDtoPaginated Response Object for report APIs. -
status: string
Title:
StatusStatus of request.Example:success
Nested Schema : PaginatedResponseDto
Type:
objectTitle:
PaginatedResponseDtoPaginated Response Object for report APIs.
Show Source
-
columns: array
columns
-
count: integer
(int32)
Minimum Value:
0Maximum Value:5000Total count of result Provide a non-negative integer.Example:5 -
data: array
data
Tabular data where each item is a row represented as an array of string values that align with the columns order.
-
hasMore: string
Minimum Length:
4Maximum Length:5Allowed Values:[ "true", "false" ]Attribute describes if result set has more records Returns "true" when additional records exist, otherwise "false".Example:true -
limit: integer
(int32)
Minimum Value:
1Maximum Value:5000Maximum number of records to display per page. Provide a value between 1 and 5000 inclusive.Example:5 -
offset: integer
(int32)
Minimum Value:
0Maximum Value:2147483647An order number to specify with which object you want to start retrieving result. If provided, you also need to specify a value for the limit parameter. Provide a zero or positive value.Example:400 -
totalResults: integer
(int32)
Minimum Value:
0Maximum Value:2147483647Total number of entities in response Provide a non-negative integer.Example:5
Nested Schema : columns
Type:
Show Source
array-
Array of:
string
Example:
["name","status"]
Example:
[
"name",
"status"
]Nested Schema : data
Type:
arrayTabular data where each item is a row represented as an array of string values that align with the columns order.
Show Source
-
Array of:
array items
Row values aligned with the `columns` list; each row must include between 1 and 50 string columns.
Example:
[
[
"38891F5E75BB4071BBF8ACE1F43BD1BD",
"Visit Start Date Validation",
"approved"
]
]Nested Schema : items
Type:
arrayRow values aligned with the `columns` list; each row must include between 1 and 50 string columns.
Show Source
-
Array of:
string
Row values aligned with the `columns` list; each row must include between 1 and 50 string columns.Example:
["38891F5E75BB4071BBF8ACE1F43BD1BD","Visit Start Date Validation","approved"]
Example:
[
"38891F5E75BB4071BBF8ACE1F43BD1BD",
"Visit Start Date Validation",
"approved"
]400 Response
Invalid search criteria
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Study not found.
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples